/**
 * Optikit Backend Script
 *
 * @package Optikit
 */

jQuery( document ).ready(
	function () {
		jQuery( '.nav-tab-wrapper a' ).click(
			function (event) {
				event.preventDefault();
				jQuery( '.nav-tab-wrapper a' ).removeClass( 'nav-tab-active' );
				jQuery( this ).addClass( 'nav-tab-active' );
				var tab = jQuery( this ).attr( 'href' );
				jQuery( '.tab-content' ).not( tab ).css( 'display', 'none' );
				jQuery( tab ).show( 250, 'swing' );
			}
		);

		// Accordion handling in various areas.
		jQuery( '.dedidata-accordion' ).on(
			'click',
			'.dedidata-accordion-trigger',
			function () {
				var isExpanded = ( 'true' === jQuery( this ).attr( 'aria-expanded' ) );
				if ( isExpanded ) {
					jQuery( this ).attr( 'aria-expanded', 'false' );
					jQuery( this ).parent().next().hide( 250, 'linear' ).attr( 'hidden', true );
					// jQuery( '#' + jQuery( this ).attr( 'aria-controls' ) ).attr( 'hidden', true );
				} else {
					jQuery( this ).attr( 'aria-expanded', 'true' );
					jQuery( this ).parent().next().show( 250,'linear' ).attr( 'hidden', false );
					// jQuery( '#' + jQuery( this ).attr( 'aria-controls' ) ).attr( 'hidden', false );
				}
			}
		);
	}
);
